---
deprecated: true
search:
  tags:
    - Collections
    - PATCH
seo:
  description: >-
    Deprecated: Use the Collections V2 API.… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/collections/{collection_id} endpoint in the
    Management API.
sidebar:
  label: Update a collection
  badge: PATCH
title: Update a collection
type: openapi-operation
---
Deprecated: Use the Collections V2 API. Updates collection properties (title, slug, status, parent). Automatically creates redirects when slug changes if automation is enabled.

`PATCH /api/v1/{team_slug}/{app_slug}/collections/{collection_id}`

**Deprecated.**

**Request body** (`application/json`, required)

Collection data

- `parent_id` (string) — To move collection to root, send empty string
- `slug` (string)
- `status` (string)
- `title` (string)

Request body example:

```json
{
  "parent_id": "string",
  "slug": "string",
  "status": "active",
  "title": "string"
}
```

**Responses**

- `200` — Collection updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "children": [
      {}
    ],
    "created_at": "string",
    "id": "string",
    "parent_id": "string",
    "redirects": [
      {
        "id": "string",
        "item_id": "string",
        "locale": "string",
        "new_slug": "string",
        "old_slug": "string",
        "type": "product"
      }
    ],
    "slug": "string",
    "status": "active",
    "title": "string",
    "translations": {
      "slug": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "uri": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
